:root {
    --primaryColor: #3F51B5;
    --primaryColor: #212121;
    --lightPrimaryColor: #C5CAE9;
    --lighterPrimaryColor: #daddf1;
    --lighterPrimaryColor: #cbd0eb;
    --lightestPrimaryColor: #e9ebf6;
    --lightestPrimaryColor: #f3f4ff;
    --darkPrimaryColor: #303F9F;
    --textOnDarkPrimaryColor: #FFFFFF;
    --textOnLightPrimaryColor: #212121;
    --secondaryTextColor: #757575;
    --dividerColor: #BDBDBD;
    --darkDividerColor: #757575;
    --accentColor: #00BCD4;
    --logoWidth: 2rem;
    --logoWidth: 1.2rem;
    /* see https://www.materialpalette.com/indigo/cyan for colors   */
    --accent-color: #00BCD4;
    --accent-color-muted: #00BCD470;
    --accent-color-dark: #039bae;
    --caret-color: #00BCD4;
    --warningColor: #ED6A5A;
    --activeWarningColor: #c24f41;
    --linkColor: #3F51B5;
}
* {
    margin: 0; padding: 0;
    transition: all 0.2s;
    box-sizing: border-box
}
body {
    font-family: 'Roboto', sans-serif;
    font-size: 12pt;
    color: var(--textOnLightPrimaryColor);
    background: var(--lightestPrimaryColor);
    min-height: 100vh;
    display: grid;
    grid-template-rows: 4rem auto 4rem;
}
h1, h2 {
    font-weight: normal;
}
h1 {
    display: none;
}
form h2 {
    /*margin-left: 0.5rem;*/
    margin-top: 2em;
}
h3 {
    font-weight: bold;
    font-size: 100%;
}
label {
}
a:not(.button, .logoButton, .navigationLink):hover,
.inTextLink {
    text-decoration: underline;
}
textarea {
    font: inherit;
    display: block;
}
header {
    /*border-bottom: 1px solid var(--dividerColor);*/
    padding: 0.5rem 1rem;
    display: grid;
    position: relative;
    align-items: center;
    grid-template-columns: 10rem auto 10rem;
    grid-template-columns: 10rem auto auto;
    grid-template-areas: "home . user"
}
#rect-largest {
  transform-box: fill-box;
  transform-origin: bottom center;
  animation: largestfinger 1.2s ease forwards 0.5s;
  transform: scaleY(0.64);
}
#rect-medium {
  transform-box: fill-box;
  transform-origin: bottom center;
  animation: mediumfinger 1.2s ease forwards 0.5s;
  transform: scaleY(0.8);
}
@keyframes largestfinger {
    0% {
        transform: scaleY(0.64);
    }
    100% {
        transform: scaleY(1);
    }
}
@keyframes mediumfinger {
    0% {
        transform: scaleY(0.8);
    }
    100% {
        transform: scaleY(1);
    }
}
header img {
    width: 48px; height: 48px;
}
body:not(.home):not(.login) header img {
    padding: 0.5rem 0.5rem 0.5rem 0.25rem;
    border-radius: 50%;
}
body:not(.home):not(.login) header img:hover {
    background: rgb(0 0 0 / 0.08);
}
.homeButton {
    grid-area: home;
    font-family: 'Kaushan Script', cursive; 
    font-size: 28px;
    border-radius: 50%;
    background-color: #fff;
    color: #fff;
    color: var(--lightPrimaryColor);
    text-align: center;
    width: 4.9rem;
    height: 3.2rem;
    text-indent: -7px;
    border-bottom: 5px solid var(--lightPrimaryColor);
    letter-spacing: -1px;
    transform-origin: center;
    transform: rotate(-15deg);
}


.login .mainContent {
    display: grid;
    place-content: center;
    min-height: calc(100vh - 3 * var(--logoWidth));
    min-height: calc(100vh - 6 * var(--logoWidth));
}
.login header {
    grid-template-columns: 1rem auto 10rem;
}
.login form {
    padding: 2rem;
    min-width: 27rem;
    max-width: 90%;
    background: #fff;
    border: 1px solid var(--lighterPrimaryColor);
}
.login label {
    display: inline-block;
    width: 5rem;
}
.login .help-block {
    display: block;
    text-align: right;
    margin-top: 0.25rem;
    grid-column: span 2;
    font-size: 75%;
}
.loginButton {
    padding-top: 0.5rem;
}
.loginButton input {
    width: 100%;
    font-weight: bold;
}
.forgotPasswordOption {
    padding-top: 0.5rem;
    text-align: right;
    font-size: 75%;
}
.logoButton {
    display: grid;
    grid-template-columns: var(--logoWidth) auto;
    grid-gap: calc( var(--logoWidth) / 16 );
    grid-gap: calc( var(--logoWidth) / 8 );
    align-items: end;
    align-items: center;
}
.logoImage {
    width: var(--logoWidth);
}
.login .logoImage {
    width: calc(var(--logoWidth) * 2);
}
.logoButton span {
    color: var(--primaryColor);
    font-weight: bold;
    font-size: 150%;
}
.logoButton:hover span {
    /*color: var(--accentColor);*/
    text-decoration: underline;
}
.logo {
    background: var(--primaryColor);
    width: var(--logoWidth);
    aspect-ratio: 1 / 1;
    border-radius: calc(0.1875 * var(--logoWidth));
    position: relative;
}
.logo:after {
    position: absolute;
    content: "";
    background: var(--lightestPrimaryColor);
    right: calc( var(--logoWidth) / 4);
    top: 0;
    width: calc( var(--logoWidth) / 16);
    height: 100%;
}
.logo:before {
    position: absolute;
    content: "";
    background: var(--primaryColor);
    right: calc( var(--logoWidth) / 4);
    border: calc( var(--logoWidth) / 16) solid var(--lightestPrimaryColor);
    border-radius: calc( var(--logoWidth) / 8) 0 0 calc( var(--logoWidth) / 8);
    top: calc( var(--logoWidth) / 4);
    width: calc( var(--logoWidth) / 2);
    height: calc( var(--logoWidth) / 3);
}

.home .backHomeButton,
body:not(.home) .logoButton {
    display: none;
}

.userHeaderArea {
    grid-area: user;
    padding: 0.5rem 1rem;
    background: rgb(255 255 255/0);
    pointer-events: none;
    text-align: right;
    position: absolute;
    z-index: 10;
    inset: 0 0 auto auto;
    transition: all 0s;
}
.userHeaderArea * {
    transition: all 0s;
}
.open.userHeaderArea {
    background: rgb(255 255 255/1);
    pointer-events: all;
    box-shadow: 0 2px 3px var(--dividerColor);
    transition: all 0s;
}
.userHeaderAreaOptions {
    padding-top: 0.25rem;
    display: grid;
    gap: 0.25rem;
}
.userHeaderArea .username {
    cursor: pointer;
    opacity: 1;
    pointer-events: all;
    user-select: none;
    border-radius: 0.5rem;
    padding: 0.5rem
}
.userHeaderArea:not(.open) .username:hover {
    background: var(--lighterPrimaryColor);
}
.userHeaderAreaOptions>a {
    padding-right: 0.5rem;
}
.userHeaderAreaOptions>* {
    /*display: block;*/
}
.userHeaderArea :not(.username) {
    pointer-events: none;
    opacity: 0;
}
.open.userHeaderArea :not(.username) {
    pointer-events: all;
    opacity: 1;
}

table {
    border-collapse: collapse;
    border-collapse: separate; border-spacing: 0;
    border-radius: 16px;
    margin-bottom: 0.5rem;
    width: 100%;
    opacity: 0;
}
table.rubric,
.legalContent table {
    opacity: 1;
}

th {
    font-weight: normal;
    text-align: left;
    background: var(--primaryColor);
    background: var(--darkDividerColor);
    background: #fff;
    border: 1px solid var(--dividerColor);
    color: var(--textOnDarkPrimaryColor);
    color: var(--textOnLightPrimaryColor);
}
th, td {
    padding: 1rem;
}
tr {
    border-bottom: 1px solid var(--dividerColor);
    background-color: rgb(255 255 255/0.3);
    background-color: rgb(255 255 255/0.9);
}
tbody tr:nth-of-type(2n) {
}
tbody tr:last-child {
    border-radius: 0 0 16px 16px;
    border-bottom: none;
}
tbody td {
    border-bottom: 1px solid var(--dividerColor);
}
tbody tr:last-child td:first-child {
    border-radius: 0 0 0 16px;
}
tbody tr:last-child td:last-child {
    border-radius: 0 0 16px 0;
}
thead th {
    border-right: none;
}
thead th:first-of-type {
    border-radius: 16px 0 0 0;
}
thead th:last-of-type {
    border-radius: 0 16px 0 0;
    border-right: 1px solid var(--dividerColor);
}
td:first-child {
    border-left: 1px solid var(--dividerColor);
}
td:last-child {
    border-right: 1px solid var(--dividerColor);
}
.dt-container ::-webkit-scrollbar{
    /*
    width: 0.5rem;
    width: 15px
    */
}
.dt-container ::-webkit-scrollbar-track {
  background: var(--lighterPrimaryColor);
}

.dt-container ::-webkit-scrollbar-thumb{
    background: var(--primaryColor);
    background: var(--linkColor);
    border-radius: 0 0.5rem 0.5rem 0;
}
.dt-container ::-webkit-scrollbar-thumb:hover {
    background: var(--primaryColor);
    background: var(--linkColor);
}
.dt-container ::-webkit-scrollbar-thumb:window-inactive{
    background: var(--primaryColor);
    background: var(--linkColor);
}
/*https://stackoverflow.com/questions/4094126/how-to-add-border-radius-on-table-row*/
a {
    text-decoration: none;
    color: var(--textOnLightPrimaryColor);
}
a:hover {
}
input[type='text'], 
input[type='email'],
input[type='number'], 
input[type='datetime-local'], 
input[type='password'], 
textarea, 
select {
    font: inherit;
    background: var(--lightestPrimaryColor);
    border: none;
    border-radius: 4px;
    padding: 0.5rem;
}
input[type='text']:focus, textarea:focus {
    background: #fff;
    border: none;
    outline: 0;
}
select {
    background: rgb(255 255 255/0.5);
}
form {
    background: var(--lighterPrimaryColor);
    border-radius: 16px 16px 0 0;
    border-radius: 16px;
    padding: 2rem;
    margin-bottom: 1rem;
}
form.dialogForm,
.dialogContainer {
    position: fixed;
    z-index: 100;
    inset: 0;
    background: rgb(0 0 0 / 0.5);
    border-radius: 0;
    margin: 0;
    padding: 0;
    opacity: 0;
    pointer-events: none;
}
form.dialogForm.active,
.dialogContainer.active {
    opacity: 1;
    pointer-events: all;
}
.button, input[type='submit'] {
    display: inline-block;
    padding: 0.5rem 0.75rem;
    background: var(--primaryColor);
    background: var(--accentColor);
    color: var(--textOnDarkPrimaryColor);
    font-size: inherit;
    border-radius: 8px;
    border: none;
    cursor: pointer;
}
input[type='submit'].disabled,
.disabled.button {
    opacity: 0.2;
    pointer-events: none;
    user-select: none;
}
.secondaryButton {
    background: transparent;
    color: var(--textOnLightPrimaryColor);
}
.newButton {
    margin: 0.5rem 0;
}
.button:hover, 
input[type='submit']:hover {
    background: var(--darkPrimaryColor);
    background: var(--accent-color-dark);
}
.secondaryButton:hover {
    background: rgb(255 255 255/0.4);
    background: rgb(255 255 255/0.7);
}
.saveArea {
  /*  display: grid;
    grid-template-columns: 4rem 4rem 19rem;
    gap: 0.5rem;
    align-items: center;
    */
    margin-top: 1rem;
}
.saveActions.disabled {
    opacity: 0.5;
    pointer-events: none;
    user-select: none;
}
.editCase .saveArea {
    grid-template-columns: 4rem 4rem 4rem 1.5rem 19rem;
    grid-area: actions;
    margin-top: 0;
}
.editCase .saveProgress {
    display: grid ;
    gap: 0 0.5rem;
    padding-top: 0.5rem;
    grid-template-columns: 1rem auto;
    align-items: center;
}
@property --progress {
    syntax: "<length-percentage>";
    inherits: false;
    initial-value: 0%;
}
.progressBar {
    --progress: 0%;
    width: 1rem;
    aspect-ratio: 1 / 1;
    background: blue;
    border-radius: 50%;
    background-image: conic-gradient(
        var(--primaryColor) var(--progress),
        var(--lighterPrimaryColor) 0%
    );
    background-image: conic-gradient(
        var(--accent-color) var(--progress),
        var(--lightestPrimaryColor) 0%
    );
    transition: --progress 500ms;
    display: grid;
    place-items: center;
    opacity: 0;
}
.progressBar:before {
    content: "";
    background: var(--lighterPrimaryColor);
    width: 0.7rem;
    aspect-ratio: 1 / 1;
    border-radius: 50%;
}
.progressBar.active {
    opacity: 1;
}
.saveUpdateMessage {
    opacity: 0;
    pointer-events: none;
    transform: translateX(-20px);
}
.active.saveUpdateMessage {
    opacity: 1;
    transform: translateX(0px);
}
.active.inProgress.saveUpdateMessage {
    background-color: transparent;
    background-image: linear-gradient(to right, #00000020 0%, #00000080 45%, #00000020 55%);
    animation: loadingtext 1s linear infinite;
    background-clip: text;
    color: transparent;
    background-position: 0%;
    background-size: 200% 100%;
}
@keyframes loadingtext {
    0% {
        background-position: 0% 0%;
    }
    100% {
        background-position: -200% 0%;
    }
}
.caseArea {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
.caseArea td {
    white-space: pre-wrap;
}
.transcript {
    width: 100vw;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
}
.latestUtterance {
    width: 50vw;
    height: 2rem;
    border: 1px solid #000;
}
.caseSummary {
    /*border: 1px solid #000;*/
  /*  background-image: linear-gradient(45deg, var(--accentColor) -110%, transparent);*/
    padding: 2rem;
    width: 75vw;
    margin: 2rem auto;

    border-radius: 2rem;
    background: var(--accent-color-muted);
}
.caseRubricPreview {
    position: absolute;
    inset: 4rem 4rem auto;
    background: var(--lightestPrimaryColor);
    padding: 4rem;
    border-radius: 2rem;
    max-height: calc(100vh - 8rem);
    overflow-y: auto;
}
.button.closeRubricPreviewButton {
    /*position: absolute; top: 1rem; right: 1rem;*/
    float: right; position: sticky;
    transform: translate(3rem, -3rem);
    top: 0; right: 0;
    width: 2rem; aspect-ratio: 1;
    display: grid;
    place-items: center;
    border-radius: 50%;
    border: 1px solid var(--dividerColor);
    padding: 0;
    font-weight: bold;
    user-select: none;
}
.patientDetails {
    /*text-align: center;*/
    font-weight: bold;
    padding-bottom: 1rem;
}
.assessedCriteriaStatement ul {
    list-style-position: inside;
}
.callOverlay {
    /*
    position: absolute;
    inset: 0;
    background: #000;
    opacity: 0;
    transform-origin: center center;
    transform: scale(0.9);
    pointer-events: none;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    z-index: 1000;
    */
    position: absolute;
    inset: 0;
    background: #000;
    opacity: 0;
    transform-origin: center center;
    transform: scale(0.9);
    pointer-events: none;
    display: grid;
    grid-template-columns: 5rem auto 5rem;
    flex-direction: column;
    /* justify-content: center; */
    place-items: center;
    z-index: 1000;
    grid-template-rows: 2rem 14rem 2rem 8rem auto;
    grid-template-rows: 2rem auto 2rem 8rem auto;
    grid-template-areas:
        ". . timer"
        ". picture ."
        ". name ."
        ". controls ."
        ". callcontrols .";
}
.callOverlay.active {
    opacity: 1;
    transform: scale(1);
    pointer-events: all;
}
.callOverlay.active.ending {
    filter: grayscale(1);
    pointer-events: none;
}
.callButton {
    display: block;
    width: 3rem;
    height: 3rem;
    font-size: 3rem;
    line-height: 2.8rem;
    color: #fff;
    border-radius: 40%;
    text-align: center;
    transform-origin: center center;
    transform: scale(1);
    text-decoration: none;
}
.callButton:hover {
    transform: scale(1.1);
}
.callButton img {

}
.startCallButton {
    background: var(--primaryColor);
    background: var(--linkColor);
    margin: 3rem auto auto;
    width: 6rem;
    height: 6rem;
    border-radius: 20%;
}
.startCallButton img {
    transform: translateY(0.75rem);
}
.startCallButton span {
    font-size: 1.5rem;
    display: block;
}
.startCallButton:hover {
    background: var(--darkPrimaryColor);
}
.startCallButton:hover img {
    transform: translateY(0.5rem);
}
.promptEndCallButton {
    background: var(--primaryColor);
    background: var(--accentColor);
    background: var(--warningColor);
    margin-top: 2rem;
    margin-top: 0;
}
.promptEndCallButton:hover {
    background: var(--accentColor);
    background: var(--activeWarningColor);
}
.endCallConfirmation {
    position: absolute;
    bottom: 5rem;
    background: #fff;
    width: 100%;
    padding: 2rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    opacity: 0;
    pointer-events: none;
}
.endCallConfirmation.active {
    opacity: 1;
    pointer-events: all;
}
.endCallConfirmation p {
    font-weight: bold;
}
.endCallConfirmation p, 
.endCallConfirmation .endCallOptions {
    transform: translateY(2rem);
}
.endCallConfirmation.active p, 
.endCallConfirmation.active .endCallOptions {
    transform: translateY(0);
}

.endCallOptions {
    margin-top: 1rem;
    display: grid;
    grid-template-columns: 2fr 1fr;
    grid-gap: 1rem;
}
.endCallOptions .button {
    display: block;
    text-align:center;
}
.endCallOptions .resumeCallButton {
    background: transparent;
    color: var(--textOnLightPrimaryColor);
}
.endCallOptions .resumeCallButton:hover {
    background: var(--lightestPrimaryColor);
    color: var(--textOnLightPrimaryColor);
}
.identification {
    width: 10rem;
    height: 10rem;
    font-size: 6.5rem;
    line-height: 10rem;
    text-align: center;
    background: rgb(255 255 255/0.1);
    color: rgb(0 0 0 /0.5);
    border-radius: 50%;
    border: 3px solid #000;
    position: relative;

    grid-area: picture;
    align-self: end;
}
.identification img {
    width: 10rem;
    height: 10rem;
    position: absolute;
    width: 100%; height: 100%;
    inset: 0;
    border-radius: 50%;
    z-index: 1;
}
.identification.pending {
    opacity: 0.3;
}
.identification.talking.noSound {
    opacity: 0.6;
}
.identification.pending:before, .identification.pending:after {
  content: "";
  position: absolute;
  inset: 0;
  width: 100%;
  height: 100%;
  background: transparent;
  box-shadow: inset 0 0 0px 10px #fff;
  border-radius: 50%;
  transform-origin: center center;
  transform: scale(0);
  opacity: 0;
  animation: loading 2s infinite;
    z-index: 2;
}
.identification.pending:after {
  animation-delay: 1s;
}
@keyframes loading {
  0% {
    transform: scale(0);
    opacity: 1;
  }
  100% {
    transform: scale(1);
    opacity: 0;
  }
}

.identification.talking {
    /*animation: borderpulse 1s infinite;*/ /*This was for non-responsive talk indication   */
    transition: box-shadow 0.1s linear;
}
.identification.calling {
    animation: callingborder 1s infinite;
}
.identification.calling img {
    animation: calling 1s infinite;
}
.identification.neutral {
    opacity: 1;
    border: none;
}
.transcript {
    display: none;
}
@keyframes borderpulse {
    0% {
        /*box-shadow: 0 0 1px #88ccff;*/
        box-shadow: 0 0 0 1px #88ccff;
    }
    50% {
        /*box-shadow: 0 0 8px #88ccff;*/
        box-shadow: 0 0 0 8px #88ccff;
    }
    100% {
        /*box-shadow: 0 0 1px #88ccff;*/
        box-shadow: 0 0 0 1px #88ccff;
    }
}
@keyframes calling {
    0% {
        /*box-shadow: 0 0 1px #88ccff;*/
        transform: scale(1);
    }
    50% {
        /*box-shadow: 0 0 8px #88ccff;*/
        transform: scale(0.75);
    }
    100% {
        /*box-shadow: 0 0 1px #88ccff;*/
        transform: scale(1);
    }
}
@keyframes callingborder {
    0% {
        /*box-shadow: 0 0 1px #88ccff;*/
        box-shadow: 0 0 0 1px #565656;
        background: #343434;
    }
    50% {
        /*box-shadow: 0 0 8px #88ccff;*/
        box-shadow: 0 0 0 8px #898989;
        background: #565656;
    }
    100% {
        /*box-shadow: 0 0 1px #88ccff;*/
        box-shadow: 0 0 0 1px #565656;
        background: #343434;
    }
}
.patientNameInCall {
    color: var(--textOnDarkPrimaryColor);
    margin-top: 1rem;
    font-weight: bold;

    grid-area: name;
}
.turnControls {
    margin-top: 1rem;
    opacity: 0;
    pointer-events: none;
    color: var(--textOnDarkPrimaryColor);

    grid-area: controls;
}
.listeningNotification {
    text-align: center;
    position: relative;
    z-index: 100;
}
.active.listeningNotification {
    transform: translateY(150%);
}
.active.turnControls {
    opacity: 1;
    pointer-events: all;
}
.finishSpeakingButton {
    display: block;
    width: 15rem;
    text-align: center;
    padding: 1rem;
    transform-origin: center;
    background: var(--primaryColor);
    background: var(--linkColor);
}
.finishSpeakingButton:hover {
    background: var(--darkPrimaryColor);
}
.reminding.finishSpeakingButton {
    animation: remindermotion 0.25s;
}
.pending.finishSpeakingButton {
    opacity: 0.2;
    pointer-events: none;
}
@keyframes remindermotion {
    0% {
        transform: rotate(0deg);
    }
    20% {
        transform: rotate(15deg);
    }
    40% {
        transform: rotate(-10deg);
    }
    60% {
        transform: rotate(7deg);
    }
    80% {
        transform: rotate(2deg);
    }
    100% {
        transform: rotate(1deg);
    }
}
.timeLimit {
    position: absolute;
    inset: 1rem 1rem auto auto;
    color: var(--textOnDarkPrimaryColor);

    grid-area: timer;
}
.callControls {
    grid-area: callcontrols;
    align-self: end;
    margin-bottom: 1rem;
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 1rem;
}
.button.muteButton {
    display: grid ;
    place-items: center;
    width: 3rem;
    aspect-ratio: 1;
    border-radius: 50%;
    background: transparent;
}
.button.muteButton:hover {
    background: var(--darkDividerColor);
}

tr.unavailableAppointment .appointmentLink {
    pointer-events: none;
}
.newAppointmentButton {
    opacity: 0.5;
    pointer-events: none;
}
.newAppointmentButton[href*="?"] {
    opacity: 1;
    pointer-events: all;
}
.availabilityRange.disabled {
    opacity: 0.2;
    pointer-events: none;
}

.mainContent {
    padding: 0 4rem;
}
.home .mainContent {
    display: grid;
    padding: 0;
    grid-template-columns: 13rem auto;
}
.noHeader .mainContent {
    padding: 4rem;
}
.sidebar {
  /*  background: var(--lightPrimaryColor);*/
}
.navigationLink {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    padding: 1rem;
    text-align: right;
    border-radius: 0 16px 16px 0;
    transform: translateX(-10px);
}
.navigationLink img {
    margin-right: 0.5rem;
    width: 16px;
}
.selected.navigationLink {
    background: var(--lighterPrimaryColor);
    transform: translateX(0px);
}
.dashboard {
    padding: 0.5rem 4rem;
    padding: 0 4rem;
}
.dashboardSection:not(.selected) {
    display: none;
}
.noUserAppointmentsNotification {
    height: 65vh;
    display: flex;
    justify-content: center;
    align-items: center;
}
.fileDropTarget {
    background: rgb(255 255 255/0.1);
    border: 1px solid var(--dividerColor);
    padding: 1rem;
    width: 100%;
    aspect-ratio: 1 / 1;
    display: grid;
    grid-template-rows: 3rem auto;
    transform-origin: center;
    cursor: pointer;
}
.fileDropTarget:hover {
    background: rgb(255 255 255/0.5);
    border: 1px solid var(--textOnLightPrimaryColor);
    transform: scale(1.05);
}

.editCase form {
    display: grid;
    gap: 1rem;
    grid-template-columns: 20rem auto;
    grid-template-columns: 22rem auto;
    grid-template-columns: 22rem auto 15rem;
    /*
    grid-template-rows: 
    20rem 
    auto 
    3rem;
    */
    /*
    grid-template-rows: 
    22rem 
    auto 
    auto 
    4rem;
    grid-template-areas: 
    "image info"
    "preview preview"
    "voice voice"
    "save .";
    */
    grid-template-rows: 
    auto 
    4rem;
    grid-template-areas:
    "image info options"
    ". message actions"
}
.profileImageUploadArea {
    grid-area: image;
}
.patientInformation {
    grid-area: info;
    transition: all 1s;
    display: grid;
    gap: 0.5rem;
}
.patientNameInformation,
.patientDemographicInformation {
    display: grid;
    grid-auto-flow: column;
    gap: 0.5rem;
}
.patientDemographicInformation {
    position: relative;
    top: -0.5rem;
}
.patientInformation .patientNameInformation .formData,
.patientInformation .patientDemographicInformation .formData {
    grid-template-columns: none;
    grid-template-rows: auto;
    gap: 0;
}
.patientDemographicInformation label {
    display: block;
    font-size: 75%;
    font-weight: normal;
}
.patientInformation.pending input:placeholder-shown,
.editCriteria .pending input:placeholder-shown,
.editCriteria .pending textarea:placeholder-shown,
.currentProfileImage.pending {
    color: #00000000;
    pointer-events: none;
    transition: all 1s;
    animation: opacitypulse 1s infinite;
}
.patientInformation.pending label:has(+ input:placeholder-shown),
.editCriteria .pending label:has(+ input:placeholder-shown),
.editCriteria .pending label:has(+ textarea:placeholder-shown) {
    animation: opacitypulse 1s infinite;
}
@keyframes opacitypulse {
    0% {
        opacity: 0.8;
    }
    50% {
        opacity: 0.2;
    }
    100% {
        opacity: 0.8;
    }
}
.voiceOptions {
    grid-area: voice;
    grid-area: options;
}
.patientInfoPreview {
    grid-area: preview;
    border: 1px solid var(--textOnLightPrimaryColor);
    padding: 1rem;
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 1rem;
}
.voiceSamples {
    display: grid;
    grid-template-columns: repeat(auto-fill, 14rem);
    grid-gap: 1rem;
}
.voiceOption {
    display: flex;
    align-items: center;
}
.vocalExpressiveness {
    padding-top: 1rem;
}
.patientInformation .formData {
    display: grid;
    gap: 0.5rem;
    grid-template-columns: 7rem auto;
    align-items: center;
    margin-bottom: 0.5rem;
}
.patientInformation .formData.longerPatientInformation {
    align-items: flex-start;
    flex-direction: column;
}
.longerPatientInformation input {
    width: 100%;
}
.formData {
    margin-bottom: 0.5rem;
}
.login .formData {
    display: flex;
    display: grid;
    align-items: center;
    gap: 0 0.5rem;
    grid-template-columns: 5rem auto;
    margin-bottom: 0;
}
.patientInformation label {
    font-weight: bold;
    margin-right: 0.5rem;
}
.phrasingPrompt {
    font-weight: normal;
    display: block;
    margin-right: 0.5rem;
}
.patientInformation input[name='cc'] {
    /*width: 30rem;*/
    /*width: 100%;*/
}
.patientInformation input[name='diagnosis'] {
    /*width: 30rem;*/
}
.patientInformation input[type='checkbox'] {
    margin-right: 0.25rem;
}
p.formData:has(input[disabled]) label {
    opacity: 0.2;
}
.additionalFormOptions {
    align-self: end;
}
.currentProfileImage, .imageUploadInstructions {
    pointer-events: none;
    user-select: none;
}
.currentProfileImage {
    text-align: center;
    pointer-events: none;
    user-select: none;
    display: grid;
    place-content: center;
}
.currentProfileImage img {
    width: 200px;
    width: 256px;
    border-radius: 50%;
    aspect-ratio: 1 / 1;
    pointer-events: none;
    user-select: none;
    grid-row-start: 1;
    grid-column-start: 1;
    transition: all 0.5s;
}
.currentProfileImage img.justAdded {
    opacity: 0;
}
.caseNextStepPrompt {
    grid-area: message;
}
.caseNextStepPrompt.hidden {
    opacity: 0;
    pointer-events: none;
    transition: all 0.2s;
}

/* Dropzone-related */
.dz-details,
.dz-success-mark,
.dz-error-mark {
    display: none;
}
.dz-image {
    text-align: center;
}
.dz-image img {
    border-radius: 50%;
}
.dz-preview, .dz-preview * {
    pointer-events: none;
    user-select: none;
}

.appointmentTranscript {
    padding: 2rem 0.25rem;
}
.utterance {
    display: grid;
    grid-template-columns: 15rem auto;
    padding: 1rem;
    margin-bottom: 1rem;
}
.userUtterance {
    background: rgb(255 255 255/0.9);
}
.utteranceSource {
    width: 20rem;
    display: flex;
    flex-direction: column;
}
.utteranceSource .name {
    font-weight: bold;
}
.utteranceSource .utteranceTime {
    opacity: 0.5;
}

.rubricArea {
    display: flex;
    justify-content: flex-start;
}
.rubric {
    width: calc(100% - 3rem);
    margin-bottom: 0;
}
.rubric input[type='text'],
.rubric textarea {
    font-size: 75%;
    width: 9rem;
    width: 100%;
}
.rubric textarea {
    min-height: 10rem;
}
.rubric h2 {
    font-size: 100%;
    font-weight: bold;
}
.criterionLevelValue {
    display: none;
}
.addRubricColumnButton {
    min-height: 100%;
    /*
    width: 5px;
    background: var(--dividerColor);
    */
    position: relative;
    display: block;
}
.addRubricColumnButton span {
    position: absolute;
    bottom: 100%;
    bottom: 56%;
    left: 0.5rem;
    background: var(--accentColor);
    color: var(--textOnDarkPrimaryColor);
    border-radius: 50%;
    text-align: center;
    padding: 0.25rem;
    width: 1.5rem; height: 1.5rem;
    line-height: 1rem;
}
/* Version with add and subtract buttons    */
.rubricColumnButtons {
    min-height: 100%;
    display: grid;
    gap: 0.5rem;
    align-items: center;
    justify-content: center;
    margin-left: 0.5rem;
}
.rubricColumnButtons a {
    background: var(--accentColor);
    color: var(--textOnDarkPrimaryColor);
    border-radius: 50%;
    text-align: center;
    padding: 0.25rem;
    width: 1.5rem; height: 1.5rem;
    line-height: 1rem;
}
.rubricColumnButtons a:hover {
    text-decoration: none;
    background: var(--accent-color-dark);
}
.rubricColumnButtons a:nth-of-type(1) {
    align-self: end;
}
.rubricColumnButtons a:nth-of-type(2) {
    align-self: start;
}
/* End version with add and subtract buttons    */
.addRubricColumnButton:hover span {
    background: var(--primaryColor);
    background: var(--linkColor);
}
.addRubricColumnButton:hover {
}
/*
.rubric {
    display: grid;
    grid-gap: 0.5rem;
    grid-template-rows: 
    1fr
    1fr;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr;
}
*/
.rubric .rubricData:not(.active) {
    display: none;
}

.assessmentArea {
    padding: 2rem;
    background: #fff;
    box-shadow: 0 0 2px var(--dividerColor);
}
.assessment {
    padding-top: 1rem;
}
.assessment label {
    font-weight: bold;
    display: inline-block;
    width: 5rem;
}

.dialog {
    position: absolute;
    background: var(--lightestPrimaryColor);
    padding: 2rem;
    inset: 36vh 30vw;
}
.dialog h2 {
    margin-top: 0;
}
.deleteOptions {
    padding-top: 1rem;
}
input.confirmDeleteButton,
.startDeleteButton {
    background: var(--warningColor);
}
input.confirmDeleteButton:hover,
.startDeleteButton:hover {
    background: var(--activeWarningColor);
}

/* DataTables   */
.editContext div.dt-container,
.editAppointment div.dt-container {
    margin-top: -2.5em;
}
.dt-container, 
.dt-container table {
    opacity: 0;
    animation: showtable 0.5s forwards;
}
@keyframes showtable {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}
div.dt-container .dt-search input:focus {
    background: #fff;
}
div.dt-container select.dt-input:focus {
    background: #fff;
}

.tutorial {
    display: none;
    z-index: 3000;
    position: fixed;
    position: absolute;
    /*top: 0; left: 0; right: 0; bottom: 0;*/
    top: 0; left: 0; width: 100%; min-height: 100%;
}
.tutorialNeeded .tutorial {
    display: grid;
    place-content: center;
}
.tutorialFocus {
    position: absolute;
    width: 10px; height: 10px;
    left: 0; top: 0;
    box-shadow: 0 0 1px 1px var(--accentColor), 0 0 0 4000px rgb(0 0 0 /0.5);
    border-radius: 1rem;
}
.tutorialExplanation {
    width: 40vw;
    z-index: 10;
    background: #fff;
    left: 0; top: 0;
    padding: 2rem;
    border-radius: 0.5rem;
    display: grid;
    grid-template-rows: auto 2rem;
    gap: 1rem;
    opacity: 0;
    transform: translateY(-20px);
    animation: showexplanation 0.5s 0.5s forwards;
    box-shadow: 0 2px 3px var(--darkDividerColor);
}
@keyframes showexplanation {
    0% {
        opacity: 0;
        transform: translateY(-20px);
    }
    100% {
        opacity: 1;
        transform: translateY(0);
    }
}
.tutorialExplanation p {
    margin-bottom: 0.5rem;
}
.tutorialExplanation ol,
.tutorialExplanation ul {
    margin-bottom: 0.5rem;
    margin-left: 1rem;
}
.tutorialNavigation {
    display: grid;
    align-items: center;
    grid-template-rows: 1rem 1rem;
}
.tutorialStepMarkers {
    display: flex;
    align-items: center;
    justify-content: center;
}
.tutorialStepItem {
    width: 0.25rem;
    height: 0.25rem;
    margin: 0.125rem;
    border-radius: 50%;
    background: var(--darkDividerColor);
    transform-origin: center;
}
.tutorialStepItem.currentTutorialStepItem {
    transform: scale(1.5);
}
.nextTutorialStepButton {
    justify-self: end;
}

footer {
    font-size: 75%;
    padding: 1rem;
    display: grid;
    align-items: center;
    justify-content: center;
    grid-auto-flow: column;
    gap: 1rem;
}

.legalContent h2 {
    margin-top: 1rem; 
}
.legalContent ol, 
.legalContent ul,
.consentAndParticipationModal ol,
.consentAndParticipationModal ul {
    margin-left: 1rem;
}
.legalContent .mainContent {
    width: 50%;
    margin: 0 auto;
    min-width: 30rem;
}

.consentAndParticipationModal {
    position: fixed;
    background: var(--lightestPrimaryColor);
    z-index: 3100;
    width: 100vw;
    height: 100vh;
    padding: 5rem;
}
.consentAndParticipationModal h1 {
    display: block;
    margin-bottom: 1rem;
}
.consentAndParticipation {
    width: 50%;
    min-width: 30rem;
    margin: 0 auto;
}
.consentAndParticipation p, 
.consentAndParticipation ul {
    margin-bottom: 1rem;
}

.utterancePreviewArea {
    position: absolute;
    bottom: 4rem;
    width: 100%;
    height: 4rem;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0 1rem;
}
.utterancePreview {
    color: #fff;
    opacity: 0.6;
    text-align: center;
    animation: fadeUp 2s forwards;
    transform: translateY(0);
}
@keyframes fadeUp {
    0% {
        transform: translateY(0);
        opacity: 0.6;
    }
    100% {
        transform: translateY(-200%);
        opacity: 0;
    }
}
